# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::Log Class Reference

The Log class is the abstract base class used to generate logging data. More...

`#include <Log.hpp>`

Inheritance diagram for vl::Log:

List of all members.

## Public Member Functions
virtual const char * | className ()
| Returns the name of the class.
| Log ()
## Static Public Member Functions
static void | setLogger (Log *logger)
static Log * | logger ()
static void | print (ELogLevel level, const String &log)
static void | print (const String &log)
static void | debug (const String &log)
static void | info (const String &log)
static void | warning (const String &log)
static void | error (const String &log)
static void | bug (const String &log)
## Protected Member Functions
virtual void | printImplementation (ELogLevel level, const String &log)=0
## Static Protected Attributes
static ref< Log > | mLogger

## Detailed Description

The Log class is the abstract base class used to generate logging data.

## Constructor & Destructor Documentation

vl::Log::Log | ( |  | ) | `[inline]`

## Member Function Documentation

virtual const char* vl::Log::className | ( |  | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::Object.

Reimplemented in vl::StandardLog.

static void vl::Log::setLogger | ( | Log * | logger | ) | `[inline, static]`

static Log* vl::Log::logger | ( |  | ) | `[inline, static]`

void Log::print | ( | ELogLevel | level,
|  | const String & | log |
| ) |  |  | `[static]`

void Log::print | ( | const String & | log | ) | `[static]`

void Log::debug | ( | const String & | log | ) | `[static]`

void Log::info | ( | const String & | log | ) | `[static]`

void Log::warning | ( | const String & | log | ) | `[static]`

void Log::error | ( | const String & | log | ) | `[static]`

void Log::bug | ( | const String & | log | ) | `[static]`

virtual void vl::Log::printImplementation | ( | ELogLevel | level,
|  | const String & | log |
| ) |  |  | `[protected, pure virtual]`

Implemented in vl::StandardLog.

## Member Data Documentation

ref< Log > Log::mLogger`[static, protected]`

The documentation for this class was generated from the following files:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/Log.hpp
- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/Log.cpp

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 29 11:11:47 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.